#include<bits/stdc++.h>
using namespace std;
long long l,j,n,x,a;
int main(){
cin>>n>>x;
for(int i=1;i<=n;i++){
cin>>a;
l=max(l,a);
j=min(j,a);
}
if(x<j){
cout<<l-x;
}
else if(x>l){
cout<<x-j;
}
else{
int k=abs(l-x);
int m=abs(x-j);
if (k>m){
cout<<(abs(j)+abs(x)+abs(j)+abs(l))/2/2+4;
}
if (m>k){
cout<<2*(abs(l)-abs(x))+(abs(x)-abs(j));
}
}
return 0;
}